#include <bits/stdc++.h>
using namespace std;
string a,b;
int br,g,bra,brb,pojava,pojavb;
void jednoa(int k){
    for(int i=0;i<=a.size()-1;i++){
     if(a[i]=='a'){
        br++;
        a[i]='*';
     }
}

}
void imaaa(int k){
for(int i=0;i<=a.size()-1;i++){
      //  cout<<a.substr(i,b.size())<<endl;
    if(a.substr(i,b.size())==b){
        for(int j=i;j<b.size()+i;j++){
            a[j]='*';
            br++;
            break;
        }

    }
}

}
int main(){
cin>>a>>b;
if(b=="a")jednoa(a.size());
else imaaa(a.size());
cout<<br<<endl;
cout<<a<<endl;


return 0;
}